.points-summary {
    display: flex;
    align-items: center;
    gap: 16px;
    justify-content: space-between;
    width: 100%;
    background-color: #ECECF6;
    background-color: var(--my-primary-hover);
    padding: 24px;
    border-radius: 16px;
    margin-top: 8px;
    background: linear-gradient(20deg,
            #b5dc36d6 40%,
            #dbff66d6 40%,
            #b5dc36 20%);
}

.my-pagination ul {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
}

.my-pagination ul li {
    list-style: none;
}

.my-pagination .page {
    padding: 6px 12px;
    border-radius: 6px;
    text-decoration: none;
    color: #333;
    transition: 0.2s ease;
}

.my-pagination .page.active {
    background: #28a745;
    color: #fff;
}

.my-pagination .page:hover {
    background: #e9ecef;
}

/*body {*/
/*    background: red !important;*/
/*}*/

.points-amount {
    margin-top: 8px;
    font-size: 32px;
    font-weight: 600;
}

.points-value {
    background-color: #fff;
    padding: 16px;
    border-radius: 12px;
}


.point-history-redeem {
    display: grid;
    grid-template-columns: 1fr 350px;
    margin-top: 32px;
    gap: 24px;
}

.point-history-redeem .card {
    box-shadow: 0 2px 16px #00000017;
    padding: 24px;
    border-radius: 12px;
    /* border: 1px solid var(--my-border-1); */
}

.point-history-redeem .history-item {
    border-bottom: 1px solid var(--my-border-1);
    display: flex;
    justify-content: space-between;
    padding: 16px 0;
}

.point-history-redeem .date {
    margin-top: 8px;
    opacity: .7;
    font-size: 14px;
}

.points-change {
    font-size: 18px;
    font-weight: 600;
    opacity: 1;
}

.points-change.positive {
    opacity: .6;
}

.card-title {
    display: flex;
    align-items: center;
    gap: 8px;
}

.redeem-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 16px;
}


.redeem-grid .redeem-option {
    /* background-color: var(--my-primary-hover); */
    padding: 16px;
    border-radius: 12px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 8px;
    cursor: pointer;
    transition: .2s ease;
    box-shadow: 0 2px 16px #00000017;
}

.redeem-grid .redeem-option .discount-amount {
    font-size: 18px;
    font-weight: 700;
}

.redeem-grid .points-cost {
    padding-top: 4px;
    opacity: .8;
    font-size: 14px;
}

.redeem-grid .redeem-option .redeem-btn {
    margin-top: 4px;
    /* background-color: white; */
}









.order-head {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    gap: 16px;
}


.orders-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 24px;
}

.sort-by {
    display: flex;
    align-items: center;
    gap: 8px;
    font-size: 14px;
    flex-shrink: 0;
}

.sort-by select {
    padding: 6px 12px;
    border-radius: 8px;
    border: 1px solid var(--my-border-1);
    background-color: #fff;
    cursor: pointer;
    transition: 0.2s ease;
}

.sort-by select option {
    cursor: pointer !important;
}

.sort-by select:hover {
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.1);
}

.sort-by select:focus {
    outline: none;
    border-color: var(--my-primary-hover);
}








.details-cards {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 24px;
}

.details-cards .card {
    box-shadow: 0 2px 16px #00000017;
    box-shadow: 0 0 24px rgba(0, 0, 0, 0.1);
    padding: 24px;
    border-radius: 12px;
    background-color: white;
    /* border: 1px solid var(--my-border-1); */
}

.details-cards .card .item {
    display: flex;
    justify-content: space-between;
    padding: 12px 0;
    border-bottom: 1px solid var(--my-border-1);
    gap: 16px;
}

.details-cards .card .item .key {
    flex-shrink: 0;
    font-weight: 500;
}

.details-cards .card .item .key,
.details-cards .card .item .value {
    opacity: .8;
}

.details-cards .card .item.total .key,
.details-cards .card .item.total .value {
    font-weight: 600;
    font-size: 18px;
    opacity: 1;
}

.details-cards .card .item.point {
    border-bottom: none;
    margin-top: 24px;
    background-color: #b5dc3627;
    border-radius: 12px;
    padding: 12px;
}

.details-cards .order-placed {
    /* opacity: .8; */
}

.details-cards .order-placed .name {
    font-weight: 600;
    color: 000;
    font-size: 18px;
}

.details-cards .card {
    position: relative;
}

.details-cards .card .head {
    display: flex;
    gap: 12px;
    justify-content: space-between;
    align-items: center;
}

.details-cards .card .card-icon {
    background-color: #b5dc3640;
    width: 48px;
    height: 48px;
    border-radius: 12px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 8px solid var(--my-primary-hover);
}



.details-cards .card .item.point .key,
.details-cards .card .item.point .value {
    opacity: 1;
    font-weight: 500;
}

.my-flex-between {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.card.order,
.details-cards .card {
    display: flex;
    flex-direction: column;
    gap: 24px;
    justify-content: space-between;
}


.card.payment-info .items {
    display: flex;
    flex-direction: column;
    /* gap: 12px; */
}

.card.payment-info .items span,
.card.payment-info .items .value {
    opacity: .8;
}

.card .value {
    font-size: 15px;
    opacity: .8;
    opacity: 1 !important;
}

.card.payment-info .items .key {
    font-weight: 600;
    opacity: 1;
}

.name-img {
    display: flex;
    align-items: center;
    gap: 16px;
    font-weight: 600;
}

.item-img {
    width: 54px;
    height: 54px;
    padding: 8px;
    object-fit: cover;
    border-radius: 8px;
    border: 1px solid var(--my-border-1);
    background-color: white;
}


.total-orders {
    font-size: 14px;
    background-color: #b5dc3651;
    width: 32px;
    height: 32px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    color: gray;
    font-weight: 500;
    padding: 2px;
}


/* order-timeline */
.order-timeline {
    display: flex;
    gap: 48px;
    /* border: 1px solid var(--my-border-1); */
    border-radius: 12px;
    padding: 16px;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 1px 20px;
}

.order-timeline .timeline-item {
    display: flex;
    align-items: center;
    gap: 16px;
    box-shadow: 0 2px 16px #00000017;
    padding: 20px;
    width: fit-content;
    border-radius: 12px;
    opacity: .5;
    text-align: center;
    position: relative;
}

.order-timeline .timeline-item.active::after {
    content: '';
    position: absolute;
    right: -72px;
    top: 50%;
    transform: translateX(-50%);
    height: 4px;
    width: 48px;
    background: linear-gradient(to right, rgb(202, 202, 202), rgba(202, 202, 202, 0.343));
}

.order-timeline .timeline-item:first-child::before {
    display: none;
}

.order-timeline .timeline-item.active::before {
    display: block;
    content: '';
    position: absolute;
    right: 10px;
    top: 10px;
    height: 12px;
    width: 12px;
    border-radius: 50%;
    background-color: var(--my-primary-hover);
    z-index: 2;
}


.order-timeline .timeline-item .timeline-time {
    opacity: 0;
    font-size: 14px;
}

.order-timeline .timeline-item.active {
    opacity: 1;
}

.order-timeline .timeline-item.active .timeline-time {
    opacity: .7;
}

.order-timeline .timeline-head {
    font-weight: 600;
    padding-bottom: 8px;
}

.order-timeline .timeline-time {
    font-size: 14px;
    opacity: .6;
}

.order-table table {
    border: none;
    background-color: #ededed;
    border-radius: 12px;
}

.alert {
    padding: 8px 16px;
    border: 1px solid var(--my-border-1);
    border-radius: 8px;
    font-size: 14px;
    background-color: #b5dc3624;
}

.profile-wrap {
    margin-top: 12px;
    max-width: 600px;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    flex-direction: column;
    min-width: 444px;
}

.profile-wrap form {
    width: 100%;
}

.profile-wrap .left {
    display: flex;
    flex-direction: column;
    gap: 24px;
    padding: 20px;
    border-radius: 12px;
    border: 1px solid var(--my-border-1);
}

.my-input-control input,
.my-input-control textarea {
    padding: 10px 12px;
    border: 1px solid var(--my-border-1);
    background-color: #ECECF6;
    width: 100%;
    /* max-width: 400px; */
    border-radius: 4px;
}

.my-input-control label {
    display: block;
    padding-bottom: 4px;
    font-weight: 500;
    color: #222;
}

@media (max-width: 991px) {
    .details-cards {
        grid-template-columns: repeat(1, 1fr);
    }
}

@media (max-width: 768px) {
    .point-history-redeem {
        display: grid;
        grid-template-columns: 1fr;
        margin-top: 32px;
        gap: 24px;
    }

    .order-timeline {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        padding: 24px;
    }

    .order-timeline .timeline-item.active::after {
        content: '';
        position: absolute;
        left: 50%;
        bottom: -48px;
        top: unset;
        height: 48px;
        width: 4px;
        background: linear-gradient(to right, rgb(202, 202, 202), rgba(202, 202, 202, 0.343));
    }
}